MarinerWrtTextInternal Namespace Reference

Internal: the structures of a MarinerWrtText. More...

## Classes

struct | Font
| Internal: struct used to store the font of a MarinerWrtText. More...
struct | Paragraph
| Internal: struct used to store the paragraph of a MarinerWrtText. More...
struct | Zone
| Internal: struct used to store zone data of a MarinerWrtText. More...
struct | Table
| Internal: struct used to store the table of a MarinerWrtText. More...
struct | State
| Internal: the state of a MarinerWrtText. More...

## Functions

std::ostream & | operator<< (std::ostream &o, Font const &font)
std::ostream & | operator<< (std::ostream &o, Paragraph const &para)
std::ostream & | operator<< (std::ostream &o, Paragraph::BorderFill const &fill)

## Detailed Description

Internal: the structures of a MarinerWrtText.

## Function Documentation

## operator<<() [1/3]

std::ostream & MarinerWrtTextInternal::operator<< | ( | std::ostream & | o,
|  | Font const & | font )

## operator<<() [2/3]

std::ostream & MarinerWrtTextInternal::operator<< | ( | std::ostream & | o,
|  | Paragraph const & | para )

## operator<<() [3/3]

std::ostream & MarinerWrtTextInternal::operator<< | ( | std::ostream & | o,
|  | Paragraph::BorderFill const & | fill )